Subject: Re: [lojban] Lojban / Most translated Web Page

From: Jim Carter <[email-masked]>
Date: Tue, 9 May 2000 10:33:56 -0700 (PDT)

About dates, ISO 8601 does contemplate ellipsis. Here are my notes on
ISO 8601 from one of my Y2K upgrade projects, as of about 1999-06:

# ISO 8601 specifies the format for numeric dates and times. The standard 
# does not cover alphabetic dates, which are language-specific.
# References:
# http://www.iso.ch/markete/8601.pdf The standard itself
# http://www.cl.cam.ac.uk/~mgk25/iso-time.ht A good summary
# The complete format is ccyy-mm-dd hh:mm:ss.ffff, where the parts are
# century, year, month (in 01..12), day (in 01..31), hour (in 00..23,
# or 24 in special cases), minute (00..59), second (00..59, or 60 on
# leap seconds), and decimal fractional seconds. Example:
# 1999-06-09 13:37:32 +0700 (see below for timezone).
# Possible variants are:
# Omit parts from the left or right (century, year, seconds, minutes).
# Omit the entire date, or the entire time.
# Omit the hyphens and colons.
# Join the date and time by upper case T rather than blank.
# Other punctuation such as / or . is not allowed. 
# For a week-based code use ccyy-Www-d where the parts are century, year,
# week (in 01..53), day (in 1..7, 1 = Monday). Week 01 is the week that
# has more days in that year than the previous one, or equivalently for
# which January 04 is on Sunday or earlier of that week. Example:
# 1997-W05-2 = Tuesday, 28 January 1997.
# Same variants as for month-based dates. The day of week can also be 
# omitted.
# The year and day code: ccyy-ddd, where the day is in 001..366.
# For timezones append +hh or +hhmm or +hh:mm, or the same with minus, or
# "Z" for UTC. Example: Afghanistan time is +0430.

James F. Carter Voice 310 825 2897	FAX 310 206 6673
UCLA-Mathnet; 6115 MSA; 405 Hilgard Ave.; Los Angeles, CA, USA 90095-1555
Internet: [email-masked] (finger for PGP key)
UUCP:...!{ucsd,ames,ncar,gatech,purdue,rutgers,decvax,uunet}!math.ucla.edu!jimc

On Sat, 6 May 2000, Bob LeChevalier (lojbab) wrote:

> At 04:46 PM 05/06/2000 +1000, Peter Moulder wrote:
> >la'e <[email-masked]> cusku di'e
> >
> > > RECORD: date/time
> > > Lojban, with practical ellipses in mind, rather than consistent order in a
> > > larger-smaller dimension, records dates in DDMMYYYY order.
> > > NOT ISO
> >
> >FWIW, I believe YYYYMMDD is an alternative ISO form. Compared to
> >DDMMYYYY, it has advantages of monotonic increasing relationship
> >between date and number interpretations (i.e. sortable), and I suspect
> >is less likely to be misinterpreted by Americans than DDMMYYYY.
> 
> This is beside the point. If some ask you what the date is tomorrow, you 
> will likely say "the 7th", not "year 2000, month May/5, day 7", and we 
> often abbreviate years to do digits. In real language we ellipsize the 
> information that is unimportant or common knowledge, and the most 
> frequently discussed dates are those of the present time, wherein the year 
> and month are obvious because they haven't changed since the last time you 
> asked. The ISO order presumes no ellipsis, which is no problem since 
> computers hardly care if they send an extra few bytes in every date.
> 
> lojbab
> ----
> lojbab [email-masked]
> Bob LeChevalier, President, The Logical Language Group, Inc.
> 2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
> Artificial language Loglan/Lojban: http://www.lojban.org (newly updated!)
> 
> 
> ------------------------------------------------------------------------
> Avoid the lines and visit avis.com for quick and easy online 
> reservations. Enjoy a compact car nationwide for only $29 a day! 
> Click here for more details.
> http://click.egroups.com/1/3011/3/_/17627/_/957644880/
> ------------------------------------------------------------------------
> 
> To unsubscribe, send mail to [email-masked]
>